# -*- coding:utf-8 -*-
from sdk.gomer.robot import Robot
from threading import Timer
import time


# Description:
# after the program was started, Gomer was in a sleep state (light setting breathing state).
# When Gomer's button was clicked, Gomer will awaken. The light setting flashes.
# look up and say, "I'm awake, you can play with me."
# Gomer will raise his arms and wave them. .
# Walk around for 20 seconds.Show an emotion. then shut the light

status = 0
timer1 = 0


def light_blink():
    robot.set_color()
    robot.set_blink('blink', 65535, 1000, 1000)
    robot.light_on()


def light_breath():
    robot.set_color()
    robot.set_blink('breath', 65535, 0, 0)
    robot.light_on()


def walk_around():
    def func():
        global timer1
        timer1 = 20
    timer = Timer(20, func)
    timer.start()
    while timer1 < 20:
        robot.wheels_accurate_go_straight(100, 2, 1000)


def call_back():
    light_blink()
    robot.make_tts("hi,I'm awake, you can play with me.", 'test.wav')
    robot.set_volume(5)
    robot.play_audio('test.wav')
    robot.forearm_accurate_rotate(angle=103, speed=2, wait_time=3000)
    for _ in range(2):
        robot.arm_accurate_rotate(angle=60, speed=2, wait_time=3000)
        robot.arm_accurate_rotate(angle=120, speed=2, wait_time=3000)
    walk_around()
    robot.emotion_show("wonderful")
    robot.light_off()
    global status
    status = 0


if __name__ == "__main__":
    robot = Robot()
    robot.connect('Gomer_wkk')
    robot.event.open_manager()
    robot.event.bind_event_callback('button_click', call_back)
    status = 1
    light_breath()
    while status == 1:
        time.sleep(1)
    robot.make_tts("yeah,I'm done.", 'test.wav')
    robot.play_audio('test.wav')
