# -*- coding:utf-8 -*-

# Description:
# after the program was started, Gomer say, "see my ability of face recognition".
# and begin to detect the face, and displayed the real-time screen.
# After the face was found, the five facial coordinates of the face were read out.
# Then say, "let me fold the cubes for you," and fold the cube "G" over the "L".

from sdk.gomer.robot import Robot


def say_word(text):
    audio_file = "text"
    ret = robot_obj.make_tts(text, audio_file)
    if ret != -1:
        print("tts status: {}".format(ret))
        return
    robot_obj.play_audio(audio_file)


def detect_and_show_face():
    face_res = 0
    ret = robot_obj.detect_face(image_type="camera", min_face_score=50)
    print("face detect result: {}".format(ret))
    if ret != -1:
        # face_res = 1
        face_index = ret[0][0]
        ret2 = robot_obj.get_face_feature(face_index)
        if ret2 != -1:
            for i in 10:
                print("i in five_point: {}".format(i))
                say_word(str(ret2[0][i]))
            face_res = 1
            return face_res
        else:
            print("error status: {}".format(ret2))
    return face_res


def find_pattern(pattern, distance):
    while 1:
        value = robot_obj.move_to_pattern(distance=distance, pattern_name=pattern)
        if value == -1:
            continue
        arrive = value[0][0]
        head = value[0][1]
        angle1 = value[0][2]
        line = value[0][3]
        angle2 = value[0][4]
        if arrive == 101:
            break
        if head != 255:
            robot_obj.head_accurate_rotate(2, head, 3000)
        if angle1 != 0:
            robot_obj.wheels_accurate_turn(2, angle1, 3000)
        if line != 0:
            robot_obj.wheels_accurate_go_straight(2, line, 3000)
        if angle2 != 0:
            robot_obj.wheels_accurate_turn(2, angle2, 3000)


def grasp():
    robot_obj.forearm_accurate_rotate(angle=103, speed=2, wait_time=100)
    robot_obj.arm_accurate_rotate(angle=170, speed=2, wait_time=3000)
    robot_obj.paw_accurate_rotate(angle=90, speed=3, wait_time=3000)


def put_cube():
    robot_obj.arm_accurate_rotate(angle=155, speed=2, wait_time=3000)
    robot_obj.forearm_accurate_rotate(angle=95, speed=2, wait_time=3000)
    robot_obj.paw_accurate_rotate(angle=0, speed=3, wait_time=0)


if __name__ == "__main__":
    robot_obj = Robot()
    robot_obj.connect('Gomer_wkk')
    robot_obj.stop_showing()
    robot_obj.set_color(50, 50, 50)
    robot_obj.set_blink(2, 65535, 1000, 1000)
    robot_obj.light_on()
    say_word("See my ability of detecting face")
    robot_obj.head_accurate_rotate(2, 45, 0)
    while 1:
        result = detect_and_show_face()
        if result == 1:
            break
    robot_obj.head_accurate_rotate(2, 0, 0)
    find_pattern("G", 9)
    grasp()
    say_word("I have grasped the block G")
    robot_obj.arm_accurate_rotate(speed=3, angle=120, wait_time=0)
    robot_obj.wheels_accurate_go_straight(speed=3, distance=-100, wait_time=3000)
    find_pattern("L", 11)
    put_cube()
    robot_obj.arm_accurate_rotate(speed=3, angle=0, wait_time=500)
    robot_obj.forearm_accurate_rotate(speed=3, angle= 0, wait_time=3000)
    say_word("I folded the blocks, ha, ha, ha")
    robot_obj.emotion_show("hpy_a")
    robot_obj.light_off()
