# -*- coding: utf-8 -*-


import logging
import logging.handlers
import os
from sdk.gomer import event
from .version import __version__, __min_gomer_version__, __update_time, __copyright__


logger = logging.getLogger("sdk.gomer")
logger.setLevel(level=logging.INFO)

base_path = os.path.dirname(os.path.split(os.path.realpath(__file__))[0])
LOGGER_PATH = os.path.join(base_path, "log", "my.log")
if not os.path.exists(os.path.split(LOGGER_PATH)[0]):
    os.makedirs(os.path.split(LOGGER_PATH)[0])
    if not os.path.exists(LOGGER_PATH):
        f = open(LOGGER_PATH, "ab")
        f.close()
        print("create the log file!")


handler = logging.handlers.TimedRotatingFileHandler(LOGGER_PATH, when="D", interval=1, backupCount=7)
handler.suffix = "%Y-%m-%d.log"
handler.setLevel(logging.INFO)
formatter = logging.Formatter("%(asctime)s - %(name)s - %(levelname)s - %(message)s")
handler.setFormatter(formatter)
# Output the log to the console and set the output level
console = logging.StreamHandler()
console.setLevel(logging.INFO)
# Adds the output mode to the log object
logger.addHandler(handler)
logger.addHandler(console)


logger.info("sdk version is:%s  Gomer minimum version requirements:%s  Update time:%s  Copyright company:%s" %
            (__version__, __min_gomer_version__, __update_time, __copyright__))


