# __all__ = ['CozmoSDKException', 'SDKShutdown', 'StopPropogation',
#         'AnimationsNotLoaded', 'ActionError', 'ConnectionError',
#         'ConnectionAborted', 'ConnectionCheckFailed', 'NoDevicesFound',
#         'SDKVersionMismatch', 'NotPickupable', 'CannotPlaceObjectsOnThis',
#         'RobotBusy', 'InvalidOpenGLGlutImplementation']


__all__ = ["GomerSDKException", "ParameterError", "NoDevicesFound", "FilePathError", "ChangeModeError"]


class GomerSDKException(Exception):
    """base class of all Gomer SDK exceptions."""


class ParameterError(GomerSDKException):
    """Raised when the parameter is wrong"""


class NoDevicesFound(GomerSDKException):
    """Raised when the devices is not found"""


class ChangeModeError(GomerSDKException):
    """Raised when change mode failed"""


class FilePathError(GomerSDKException):
    """Raised when then path is not file"""


