import threading
import os
import signal


def get_dict_value(dict1, obj, default=None):
    for key, value in dict1.items():
        if key == obj:
            return value
        else:
            if type(value) is dict:
                result = get_dict_value(value, obj)
                if result is not default:
                    return result
    return default


class Counter(object):
    """Counting class"""
    _instance_lock = threading.Lock()

    num = 0
    seq = 10000000

    def __new__(cls, *args, **kwargs):
        if not hasattr(Counter, "_instance"):
            with Counter._instance_lock:
                if not hasattr(Counter, "_instance"):
                    Counter._instance = object.__new__(cls)
        return Counter._instance

    def get_num(self):
        self.num += 1
        return self.num

    def get_seq(self):
        self.seq += 1
        return self.seq


def kill_process():
    pid = os.getpid()
    os.kill(pid, signal.SIGTERM)
